Page MenuHomePhabricator

[S] Depicts: uploading multiple images issue
Closed, ResolvedPublic

Description

Uploading multiple images
If you are uploading multiple images in one hit, it is not clear what is happening with the depicts. Is it going on all of them or just one of them. It seems as soon as you publish one of them, it doesn't let you go back to add the depicts the others, which is begging the question of what is happening with the other images, are they getting a depicts of not? The workflow is quite confusing, whereas it seems more straightforward with the caption (you either fill it in manually or do a "copy"). The depicts should be handled in the same way. Kerry Raymond (talk) 04:19, 29 May 2019 (UTC)

https://commons.wikimedia.org/wiki/Commons_talk:Structured_data#Uploading_multiple_images

Acceptance Criteria:

  1. Turn on "copy to all" for everyone
    1. No changes to existing "copy to all" functionality
  2. Remove action buttons at top and maintain buttons at bottom
  3. Update language of the buttons
    1. Skip changes to "Skip this step"
    2. Publish changes to "Publish data for all files"

COVID-19 Deployment Criteria

  • Can you roll back this change without lasting impact?
    1. A recovery plan is required as this will help identify our capacity for recovering from the failure
    2. THIS IS A KEY QUESTION, if you can’t answer it, you shouldn’t deploy
  • Is specialized knowledge required to support this change in production? If so, are there multiple people with this knowledge?
  • Is there a way to increase confidence about the correctness of this change?
    1. Reviews (Design, Code, etc)
    2. Testing coverage (unit tests, integration tests)
    3. Manual testing (e.g. Beta, vagrant, docker)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 3 2019, 3:03 PM
Restricted Application added a project: Multimedia. · View Herald TranscriptAug 10 2019, 11:54 PM
egardner added a subscriber: egardner.

We will try to address some usability issues in the "UI Consolidation" milestone, adding this ticket there.

Ainali added a subscriber: Ainali.Aug 24 2019, 7:29 PM
AnneT claimed this task.Jan 8 2020, 6:27 PM
AnneT moved this task from Incoming to Doing on the Structured-Data-Backlog (Current Work) board.
AnneT added a comment.EditedJan 8 2020, 7:04 PM

I believe the intention here was for users to click on each item in the booklet layout to add data to images, then click "publish data." However, this is not intuitive, and users tend to click "publish data" after tagging the first image. It took me a little while to figure out that the "publish data" button applied to all images, not just the first one.

I'd like to update the action buttons to make the process of adding metadata – or skipping the step – clearer.

To accomplish this, I propose we make the following updates:

  1. Remove the actions at the top (or, if we need to make it easy to skip the metadata step, we could leave a "Skip this step" button that's visually separated from the booklet of images).
  2. Update the actions at the bottom to "Skip this step" and "Publish all data", which will be disabled until there is metadata to publish and the user is on the final image
  3. Add a "Next" button to each image so a user has a clear way to skip an image or move onto the next one once they've added data. The booklet tabs can be used for this, but I don't think it's clear enough to users that they can navigate this way. I think that's a good secondary navigation technique, but the primary will be the "Next" button.
  4. Consider reducing the visual weight of the licensing into. I think this box hides the action buttons at the bottom too much. For the CAT tool we included a box with smaller text below the cardstack and actions; I'd recommend we follow this pattern. EDIT: on second thought, we'll want to keep the style of the box consistent with other UW steps, but i do think we should move it to the bottom.

Mockup of first image, showing next button and disabled publish button. "Skip this step" button is at the bottom.

Mockup of first image, showing next button and disabled publish button, with"Skip this step" button at the top.

Mockup of the final image, showing enabled publish button since image 1 has metadata.

@Ramsey-WMF, can you please check out my proposal and mockups above and let me know if you have any feedback? We can also discuss at the design-dev meeting tomorrow.

One thing we should keep in mind is how the proposed changes here would impact the "copy to all" functionality.

Also, if a user clicks the "publish data" button for the first image in a series, but then later uses the left-hand nav to move back there, what does that button say now? Does it allow them to advance w/o re-publishing, or could they re-submit new data? In a way the two different ways to move between the stack of images are in competition.

AnneT added a comment.Jan 9 2020, 8:01 PM

One thing we should keep in mind is how the proposed changes here would impact the "copy to all" functionality.

This is a good reminder; I definitely want to make it easy to add that functionality in the future.

My thought was that "publish data" would become "publish all data" and would apply to all images. Images would only have a "next image" button. To ensure that we only have one primary action at a time, the user would see a disabled "publish all data" button until they get to the last image, which obviously would have no "next image" button. We could keep the "publish all data" button enabled if the user navigates back to a previous image; in this sort-of-edge case I think it's acceptable to have 2 primary action buttons active.

What do you think?

Change 563578 had a related patch set uploaded (by Anne Tomasevich; owner: Anne Tomasevich):
[mediawiki/extensions/UploadWizard@master] Update metadata step UX for clarity

https://gerrit.wikimedia.org/r/563578

Hi! Sorry for the delay in response.

After some reflection and digging through old notes, here are my suggestions:

  • This ticket's origins predates our work on "Copy to all" and I think we should make sure that works and is available before we deploy what Anne is suggesting. The most common reason behind why people request this kind of feature has been that batch uploaders tend to upload batches of files that are related/similar and just want to add the same data to all of them. Copy to all gets us there. We delayed enabling by default to begin with because we hadn't had much time to test it with users, but we can do that now.
  • With that said, we still need to accommodate the smaller number of instances where the images in the batch are quite different and need different data. The original thinking was that the leftnav bar works for that, but it may not be obvious to everyone as a navigational method. So the "next" button could be helpful. Note: we should probably call it "Next file" because it's not necessarily an image.
  • I'm wondering if it would be so bad if we just added more text to the publish button, e.g. "Publish data for all files"
  • Let's do some user testing of all of these things combined on Beta for a week or so and see if uploaders run into any problems.
Ramsey-WMF added subscribers: mwilliams, matthiasmullie.

this seems like a good time to wrap this up. My comment above is still the current state of things (enable Copy to All for everyone, maybe change some button text.) Adding Matthew to the ticket to make sure we get some design perspective too, but this should be straightforward.

This is making sense to me! I think I prefer the "Skip this Step" button at the bottom near all the other actions so it doesn't get lost.

And to address Ramsey's point regarding the Copy to All button, I think that makes sense as well!

CBogen updated the task description. (Show Details)Mar 18 2020, 4:23 PM
CBogen renamed this task from Depicts: uploading multiple images issue to [S] Depicts: uploading multiple images issue.Mar 18 2020, 4:28 PM
CBogen updated the task description. (Show Details)
CBogen updated the task description. (Show Details)Mar 25 2020, 6:10 PM

Change 563578 merged by jenkins-bot:
[mediawiki/extensions/UploadWizard@master] Update metadata action buttons

https://gerrit.wikimedia.org/r/563578

Tested on Production. The UploadWizard button text is updated but Copy To All is not enabled by default.

@AnneT you got this? 🕙 😸

AnneT added a comment.Apr 27 2020, 5:42 PM

@Ramsey-WMF on it, sorry for the delay!

Change 592985 had a related patch set uploaded (by Anne Tomasevich; owner: Anne Tomasevich):
[mediawiki/extensions/UploadWizard@master] Allow users to copy statements to all files

https://gerrit.wikimedia.org/r/592985

Change 592985 merged by jenkins-bot:
[mediawiki/extensions/UploadWizard@master] Allow users to copy statements to all files

https://gerrit.wikimedia.org/r/592985

Etonkovidova added a subscriber: Etonkovidova.

Checked in betalabs - all specs seems to be in place including "Copy statements to files ..." -> "Copied!" buttons. Moving back 'Verify in Production'.

Note:

  • a user skips a required field(s) - and scrolls to the bottom of the page (so the not-filled required field is out of the view)
  • a user clicks on the 'Publish files' - a user sees no warning and no action. The page does not scroll up to the message 'This field is required'. Adding an additional message e.g. "Some required fields are missing" or scrolling to the place(s) where required fields are not filled would improve user experience.
Ramsey-WMF closed this task as Resolved.May 14 2020, 7:35 PM

Tested on production and main features work. Will consider points about scrolling to error messages for future UploadWizard updates.